> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List review workspaces

> List the project's graph workspaces.

**Operation ID:** `http.graph.workspaces.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/graph/workspaces
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/graph/workspaces
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/graph/workspaces:
    get:
      tags:
        - Review workspaces
      summary: List review workspaces
      description: |-
        List the project's graph workspaces.

        Product guidance: [Workspace](/concepts/workspace).
      operationId: http.graph.workspaces.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: status
          in: query
          required: false
          description: open, submitted, applied, closed or all. Defaults to all.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: How many workspaces, 1 to 200.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_graph_workspaces_list_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_graph_workspaces_list_response:
      type: object
      properties:
        data:
          type: object
          properties:
            workspaces:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  creation_origin:
                    type: string
                  name:
                    type: string
                  description:
                    anyOf:
                      - type: string
                      - type: 'null'
                  status:
                    type: string
                    enum:
                      - open
                      - submitted
                      - applied
                      - closed
                  revision:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  item_count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  shape:
                    anyOf:
                      - type: object
                        properties:
                          shape_id:
                            type: string
                          artifact_digest:
                            type: string
                        required:
                          - shape_id
                          - artifact_digest
                        additionalProperties: {}
                      - type: 'null'
                  bindings:
                    type: array
                    items:
                      type: object
                      properties:
                        shape_id:
                          type: string
                        artifact_digest:
                          type: string
                      required:
                        - shape_id
                        - artifact_digest
                      additionalProperties: {}
                  bridge_set:
                    anyOf:
                      - type: object
                        properties:
                          digest:
                            type: string
                          declaration_count:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                        required:
                          - digest
                          - declaration_count
                        additionalProperties: {}
                      - type: 'null'
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  applied_at:
                    anyOf:
                      - type: string
                      - type: 'null'
                  replaced_by:
                    type: string
                required:
                  - id
                  - creation_origin
                  - name
                  - description
                  - status
                  - revision
                  - item_count
                  - shape
                  - bindings
                  - bridge_set
                  - created_at
                  - updated_at
                  - applied_at
                additionalProperties: {}
            limit:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            next_cursor:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - workspaces
            - limit
            - next_cursor
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.